# class HTMLCollection

#### package js.html

#### extended by HTMLOptionsCollection, HTMLPropertiesCollection

Available on HTML5

The `HTMLCollection` interface represents a generic collection (array-like object similar to arguments) of elements (in document order) and offers methods and properties for selecting from the list.

Documentation HTMLCollection by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/HTMLCollection

### Variables

###

`read onlylength:Int`

Returns the number of items in the collection.

### Methods

###

`item (index:Int):Element`

Returns the specific node at the given zero-based `index` into the list. Returns `null` if the `index` is out of range.

###

`namedItem (name:String):Element`

Returns the specific node whose ID or, as a fallback, name matches the string specified by `name`. Matching by name is only done as a last resort, only in HTML, and only if the referenced element supports the `name` attribute. Returns `null` if no node exists by the given name.